Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IDataGridContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IDataGridContent.cs	(revision 10367)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IDataGridContent.cs	(revision 10369)
@@ -8,5 +8,5 @@
   public interface IDataGridContent : IStringConvertibleMatrix {
     IDataGridLogic DataGridLogic { get; }
-    IPreprocessingDataManipulation PreprocessingDataManipulation { get; }
+    IManipulationLogic PreprocessingDataManipulation { get; }
   }
 }
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IDataGridLogic.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IDataGridLogic.cs	(revision 10367)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IDataGridLogic.cs	(revision 10369)
@@ -3,5 +3,4 @@
   public interface IDataGridLogic {
     IEnumerable<string> ColumnNames { get; }
-    string GetColumnTypeAsString(int columnIndex);
     IEnumerable<string> RowNames { get; }
     int Columns { get; }
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IManipulationLogic.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IManipulationLogic.cs	(revision 10369)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IManipulationLogic.cs	(revision 10369)
@@ -0,0 +1,15 @@
+﻿using System;
+using System.Collections.Generic;
+namespace HeuristicLab.DataPreprocessing {
+  public interface IManipulationLogic {
+    void reOrderToIndices(IEnumerable<int> indices);
+    void reOrderToIndices(IList<Tuple<int, int>> indices);
+    void ReplaceIndicesByAverageValue(int columnIndex, IEnumerable<int> rowIndices);
+    void ReplaceIndicesByLinearInterpolationOfNeighbours(int columnIndex, IEnumerable<int> rowIndices);
+    void ReplaceIndicesByMedianValue(int columnIndex, IEnumerable<int> rowIndices);
+    void ReplaceIndicesByMostCommonValue(int columnIndex, IEnumerable<int> rowIndices);
+    void ReplaceIndicesByRandomValue(int columnIndex, IEnumerable<int> rowIndices);
+    void ReplaceIndicesByValue<T>(int columnIndex, IEnumerable<int> rowIndices, T value);
+    void ShuffleWithRanges(IEnumerable<HeuristicLab.Data.IntRange> ranges);
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IPreprocessingDataManipulation.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IPreprocessingDataManipulation.cs	(revision 10367)
+++ 	(revision )
@@ -1,15 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-namespace HeuristicLab.DataPreprocessing {
-  public interface IPreprocessingDataManipulation {
-    void reOrderToIndices(IEnumerable<int> indices);
-    void reOrderToIndices(IList<Tuple<int, int>> indices);
-    void ReplaceIndicesByAverageValue(int columnIndex, IEnumerable<int> rowIndices);
-    void ReplaceIndicesByLinearInterpolationOfNeighbours(int columnIndex, IEnumerable<int> rowIndices);
-    void ReplaceIndicesByMedianValue(int columnIndex, IEnumerable<int> rowIndices);
-    void ReplaceIndicesByMostCommonValue(int columnIndex, IEnumerable<int> rowIndices);
-    void ReplaceIndicesByRandomValue(int columnIndex, IEnumerable<int> rowIndices);
-    void ReplaceIndicesByValue<T>(int columnIndex, IEnumerable<int> rowIndices, T value);
-    void ShuffleWithRanges(IEnumerable<HeuristicLab.Data.IntRange> ranges);
-  }
-}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IStatisticsLogic.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IStatisticsLogic.cs	(revision 10367)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IStatisticsLogic.cs	(revision 10369)
@@ -19,5 +19,7 @@
     double GetVariance(int columnIndex);
     int GetDifferentValuesCount<T>(int columnIndex);
+
     bool IsType<T>(int columnIndex);
+    string GetColumnTypeAsString(int columnIndex);
   }
 }
